%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  einsum
%global packver   0.1.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.2
Release:          1%{?dist}%{?buildtag}
Summary:          Einstein Summation

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-Rcpp 
BuildRequires:    R-CRAN-glue 
BuildRequires:    R-CRAN-mathjaxr 
Requires:         R-CRAN-Rcpp 
Requires:         R-CRAN-glue 
Requires:         R-CRAN-mathjaxr 

%description
The summation notation suggested by Einstein (1916)
<doi:10.1002/andp.19163540702> is a concise mathematical notation that
implicitly sums over repeated indices of n-dimensional arrays. Many
ordinary matrix operations (e.g. transpose, matrix multiplication, scalar
product, 'diag()', trace etc.) can be written using Einstein notation. The
notation is particularly convenient for expressing operations on arrays
with more than two dimensions because the respective operators ('tensor
products') might not have a standardized name.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
